#!/bin/sh
# XView linux port, installation utility
# 12/1992 K.Osterberg

# These must correspond with contents of libs.tar
OLGMAJOR=1
OLGMINOR=1
XV3MAJOR=1
XV3MINOR=1
SSMAJOR=1
SSMINOR=1
OPENWINHOME=usr/openwin; export OPENWINHOME

if [ -n "`cat etc/termcap | grep 'Sun Microsystems Workstation console'`" ]
then
	awk '
		BEGIN {
			copy = 1;
		}
		($0 ~ "Sun Microsystems Workstation console") && ($1 !~ "#") {
			copy = 0;
		}
		copy == 1 {
			print;
		}
		copy == 0 {
			l = length $0;
			if (substr($0, l, 1) != "\\")
				copy = 1;
		}
	' <etc/termcap >tmp/termcap.tmp
	if [ $? -ne 0 -o ! -s tmp/termcap.tmp ]
	then
		echo "The install script broke, could not understand your termcap"
		exit 1
	fi
	cp etc/termcap etc/termcap.bak  # Store old termcap in case of trouble
	if [ -n "`cat tmp/termcap.tmp | grep 'Cmdtool/Shelltool'`" ]
	then
		awk '
			$0 ~ "Cmdtool/Shelltool" {
				print;
				exit;
			}
			{ print }
		' <tmp/termcap.tmp >etc/termcap
		cat $OPENWINHOME/termcap.sun >>etc/termcap
		awk '
			BEGIN {
				copy = 0;
			}
			$0 ~ "Cmdtool/Shelltool" {
				copy = 1;
				next;
			}
			copy == 1 {
				print;
			}
		' <tmp/termcap.tmp >>etc/termcap
	else
		cp tmp/termcap.tmp etc/termcap
		echo "" >>etc/termcap
		echo "# Cmdtool/Shelltool expects termcap entry for Sun to exist" >>etc/termcap
		cat $OPENWINHOME/termcap.sun >>etc/termcap
	fi
	rm tmp/termcap.tmp
	chmod 644 etc/termcap
else
	echo "Adding entry for Sun terminal to etc/termcap"
	echo "" >>etc/termcap
	echo "# Cmdtool/Shelltool expects termcap entry for Sun to exist" >>etc/termcap
	cat $OPENWINHOME/termcap.sun >>etc/termcap
	chmod 644 etc/termcap
fi

(cd lib;
ln -sf libolg.so.$OLGMAJOR.$OLGMINOR libolg.so.$OLGMAJOR
ln -sf libxv3.so.$XV3MAJOR.$XV3MINOR libxv3.so.$XV3MAJOR
ln -sf libss.so.$SSMAJOR.$SSMINOR libss.so.$SSMAJOR
chmod 755 libolg.so.$OLGMAJOR.$OLGMINOR
chmod 755 libxv3.so.$XV3MAJOR.$XV3MINOR
chmod 755 libss.so.$SSMAJOR.$SSMINOR
)
ln -sf /$OPENWINHOME/include/olgx usr/include/olgx
ln -sf /$OPENWINHOME/include/pixrect usr/include/pixrect
ln -sf /$OPENWINHOME/include/xview usr/include/xview
ln -sf /$OPENWINHOME/include/sspkg usr/include/sspkg
ln -sf /$OPENWINHOME/include/uit usr/include/uit
